展开

关键词

node

一、方法:1.产看node,没安装的请先安装;$ node -v2.清楚node缓存;$ sudo npm cache clean -f3.安装node管理工具n;$ sudo npm install n -g4.使用管理工具安装指定node或者到最新node;$ sudo n stable (安装node最新)或安装指定$ sudo n (可以安装node指定 sudo n 10.10.0)5.使用node -v查看node,如果号改变为你想要的则成功。 你应该能看到你刚通过n安装的node这里如:10.10.0;编辑etcprofile;$ vim etcprofile3.将node安装的路径(这里为:usrlocalnversionsnode10.10.0 ,不出意外号应该变为你想要的。

3.1K30

jenkins

# cd usrlibjenkins# lsjenkins.war# mv jenkins.war jenkins.war.old # 备份就的war包# wget http:ftp-chi.osuosl.orgpubjenkinswar-stable 需要jenkins.war# lsjenkins.war jenkins.war.old# systemctl restart jenkins

76730
  • 广告
    关闭

    50+款云产品免费体验

    提供包括云服务器,云数据库在内的50+款云计算产品。打造一站式的云产品试用服务,助力开发者和企业零门槛上云。

  • 您找到你想要的搜索结果了吗?
    是的
    没有找到

    APP

    ( plus.runtime.appid, function ( wgtinfo ) { 获取 app的version let appversion = wgtinfo.version; 存缓存 号 uni.setStorageSync(appversion, appversion); } catch (e) {} console.log( appversion: + appversion ); } ); 更新接口 var server = ……; 接口api 取缓存 号 const v = uni.getStorageSync(appversion); uni.request({ url: server console.log(res,res); console.log(appversion+v); if (res.statusCode == 200 && v < res.data.msg.version) { 对比 ,进行更新 uni.showModal({ 提醒用户更新 title: 更新提示, content: res.data.msg.content, success: (res) => { if (res.confirm

    9610

    git

    Git(查看信息 git version)旧:git version 1.7.1新:git version 2.2.1一、安装依赖包:1、下载安装 libiconv-1.14.tar.gzwget jaist.dl.sourceforge.netprojectasciidocasciidoc8.6.9asciidoc-8.6.9.zipunzip asciidoc-8.6.9.zipcd asciidoc-8.6.9.configurenake && make install 二、安装 新git install-doc install-html echo export PATH=$PATH:usrlocalgitbin:usrlocalgitlibexecgit-core >> etcbashrc 三、查看新

    21240

    windows2012从标准到数据中心

    windows server 2012的标准和数据中心功能模块完全一样,唯一的区别是内嵌Hyper-v支持的数量,标准默认支持2个,数据中心则没有限制,因此可以直接方法如下:(1 )使用winver命令查看当前的,如图1所示。? 图1 当前为标准(2)进入命令提示窗口,执行dism online get-targeteditions,查看当前系统可以,显示可以到datacenter,如图2所示。 图2 显示可以(3)执行如下命令:dism online set-edition:ServerDatacenterproductkey:48HP8-DN98B-MYWDG-T2DCC-8W83P 经过上述操作后,再次执行命令,发现能成功执行,?图3 到datacenter执行命令之后,重新启动计算。(4)再次进入系统,执行winver可以看到,当前为数据中心,如图4所示。?

    20720

    linuxpython至2.

    背景:刚申请的器python是2.6的,需要手动到2.7.13; 步骤: 1 下载python2.7.13的源码包wget http:python.orgftppython2.7.13Python usrbinpython usrbinpython.old5 重新生成软连指向编译安装的路径ln -s usrlocalpython2.7binpython2.7 usrbinpython此外,若发现普通用户并没有到 $PATH1 cd usrlocalbin2 unlink python3 ln -s usrlocalpython2.7binpython2.7 python 完成,输入python检查,发现已经

    13710

    MACRuby

    一、问题背景在进行zookeep安装的时候,遇到错误,错误提示大致意思是ruby太低,需要至2.2.2以上.果然,在终端使用ruby -v查看为2.0.二、安装RVM也就是Ruby Version Manager,Ruby管理器来ruby,RVM包含了Ruby的管理和Gem库管理(gemset)。 之后就是等待一段时间之后,就可以安装成功了,使用以下命令来验证 $ source ~.bashrc $ source ~.bash_profile3、测试是否安装正常$ rvm -v image.png 三、使用RVM Ruby 1、查看当前ruby$ ruby -v这一步会显示出来当前ruby的2、列出已知ruby的$ rvm list known稍等一下,会出现很多平台不同的ruby的3、安装ruby XXX$ rvm install X.X.X4、安装完之后,可以ruby -v 测试一下,看看有没有变化

    17120

    LinuxPython

    安装Python linux自带的python是2.6的,用习惯了2.7.x,所以想python21.下载源码包,后面的下载链接直接在python官网找的,如果想安装更高的自行更换 wget 4.安装编译 makemake install5.创建链接将python指向2.7python默认是指向2.6的 ? 删除原有的指向2.6的链接,创建新的链接指向2.7,执行python可以看到已经指向2.7了rm -f usrbinpythonln -s usrlocalpython2binpython usrbinpython 打开usrbinyum文件,制指定python为原来系统的python2.6#! usrbinpython 修改为 #!

    1.3K10

    salmon:sailfish的

    salmon 是sailfish 的,其内存消耗更少,速度更快,准确度更高。 1. indexing基用法如下salmon index -t hg19_refGeneMrna.fa -k 31 -p 10 -i hg19_salmon_db-t参数指定参考基因组转录的fasta ,直接根据各个exon的水平去计算一个最终的丰度就好了,但是对于基因水平的定量而言,由于一个基因会对应多个转录,不同转录的 eoxn会存在overlap,冗余等现象,所以通常的做法是根据转录的定量结果去推算基因的表达量 ,这就依赖于转录注释的完整性和准确性。 相对而言,转录水平的定量和差异分析会更加的灵敏,所以现在很多的软件都会给出转录水平的定量结果。

    21110

    Centos systemd

    v247.tar.gzcd systemd-247编译安装meson build && ninja -C buildcd buildninja install重新加载守护进程kill -TERM 1检测 完成后执行各种命令出现 Failed to xxx: Access denied,是因为完没有重新加载守护进程导致。

    1.3K10

    nexus 2.X 3.X

    Nexus是2.X , 开发需要使用新特性,进行,通过查询官网发现,需要到2.X特定,才能到3.X的对应. https:help.sonatype.comrepomanager3upgrade-compatibility 首先到2.X的最近2.14.8, 从官网直接下载,解压, 然后修改对应的数据目录为现在的数据目录, 启动就可以了 在 2.14.8中配置选项 ?其中4处为同步密码 添加完成以后 ? 下载3.12.0最新# cat usrlocalnexus-3.12.0-01binnexus.rc run_as_user=root修改启动用户# cat usrlocalnexus-3.12.0 jetty-requestlog.xmlnexus-context-path=nexus-edition=nexus-pro-editionnexus-features=nexus-pro-feature#修改临时端口,因为同一台 p=12366#############注意以后nexus的路径有了变化http:*****:8081nexuscontentgroupspublic 以前的地址http:*****:8081contentgroupspublic

    93900

    MPSoC Linux LTS 和Realtime

    大部分项目设计需要一个稳定的Linux,但是又需要修复内核漏洞。这种情况下,跟随LTS,是最好的办法。很多项目也需要改善Linux的实时特性。

    43050

    Node和降

    Node和降 在开发的工程中,我们可能需要经常切换node来应对不同的开发环境,所以需要经常使用不同的node一、安装npm插件n ,通过n模块来管理node正文1、全局安装n 模块npm instlal -g n2、安装当前稳定n stable或者sudo n stable3、安装最新的n latest或者sudo n latest4、安装指定的noden v8.16.05 、卸载指定的noden rm v8.16.0二、使用nvm管理node1、安装nvmbrew install nvm2、使用nvm安装node安装最新nvm isntall node安装指定 nvm install 8.16.03、查看所有nvm ls4、切换node使用最新nvm use node使用指定nvm use 10.16.2通常我会使用第二种方式例如:我在一个项目中使用的是 node@8.16.0,nvm install 8.16.0,然后,nvm use 8.16.0 博客内容遵循 署名-非商业性使用-相同方式共享 4.0 国际 (CC BY-NC-SA 4.0) 协议 文永久链接是

    37320

    Centos内核

    (CPU)及计算中其他电子组件进行处理,是现代操作系统中最基的部分。 kernel-lt -y目前centos6中仅提供有kernel-lt 内核,最新内核为 4.4.17(截至20190121)https:elrepo.orglinuxkernelel6x86 2.2 修改grub文件Centos7.x 内核完毕后,需要修改内核的启动顺序:vim etcdefaultgrub GRUB_TIMEOUT=5GRUB_DISTRIBUTOR=$(sed s, 安装过程中遇到问题可以参考 https:dwz.cnvZotLbZD 3、参考文献 http:elrepo.org https:rorschachchan.github.io20180825centos6-5最新内核 4-18的坑 https:rorschachchan.github.io20180611阿里云centos7内核过程 https:www.admon.orgfaqskernel-lt-and-kernel-ml

    1.8K30

    GCC到11.1

    GCC到11.1 GCC11终于发正式了, 4月底官方终于发了11.1正式. 既然GCC11.1已经发了, 我们之前的GCC8.3也在正常工作中, 比我们想象的低, 那新到来, 又能解决项目的一些实际痛点, 的动力自然就比较足了. 第一部分内容跟GCC8.3的安装大同小异, 为了保证文章的独立性, 这里还是重复一遍了.1. CMake中的使用, ABI兼容问题 这部分内容直接略过, 请参考 GCC到8.3 中的相关部分.5. 我们需要GDB到较新的, 就能解决该问题(具体出错的原因没有细查).

    12540

    Redis3.0.7~4.0.6

    Redis3.0.7~4.0.6 今天在线上操作了一个Redis的,在整个操作的过程中,遇到了一些问题,这里记录下来。 次Redis的过程中,我们的目标是4.0.6,正常情况下,推荐的做法是大之间的连续,也就是:3.0.7 ~ 3.2.x ~ 4.0.6 实际过程中,跳过了中间的3.2.x,直接从3.0.7 到4.0.6方案1、Redis主从架构如下,一主两从2、先将从库成高的4.0.6,注意,过程中,使用原来低的配置文件,保证参数一致,只是更新一下启动的Redis软件即可。 总结: Redis过程中,不同的在参数方面可能会有不同,在之前,需要充分测试,否则直接容易造成不可预知的后果; 次迁移过程中,在从库校验阶段出现问题,属于计划内发现问题,相对影响较小

    10220

    EDI系统

    为保证不会给已上线使用的业务带来不必要的影响,之前,EDI顾问会先在地的新上对已上线的业务进行地测试。 地测试通过后方可进行地测试可以有效的模拟新的运行情况,提前预警可能会出现的问题,并及时提出解决方案,同时会对旧上的代码及Flow的优化确保系统后可以正常稳定运行,方便操作。 地测试1. 搭建环境:在前需要在确认的新中搭建环境,注意此时新环境的代码需要从您旧的系统中导出,从而保持新旧代码的一致。2. 联系EDI供应商,获取新的EDI系统安装包。进行需要按照如下步骤进行操作:1. 完成后的一段时间内,需要对新的使用情况进行跟踪,监控之后数据的收发情况。出现任何问题请在第一时间联系您的EDI实施工程师。任何关于EDI的问题,欢迎评论或私信。

    18020

    CentOS 7.4Curl

    说明:由于业务需要,服务器上的Curl太老了,有漏洞,于是抽点时间最新,确保服务器间通信安全。 64Packagesllibnghttp2-1.6.0-1.el6.1.x86_64.rpm 5、安装最新的curl # yum update curl --enablerepo=city-fan.org -y 6、查看curl 4、添加环境变量 # vim etcprofile # 添加以下内容export PATH=$PATH:usrlocalcurlbin# 加载环境变量 # source etcprofile 5、查看

    12430

    【Go】Mac Go

    直接上手:Mac 上有 Brew 的话,直接用 brew 可以进行安装和,不过有的同学的电脑上的镜像可能会导致下载异常慢 Shellbrew update brew install go brew 官方镜像:https:golang.google.cndl选择合适的,直接点击下载即可,下载完成根据指示完成安装。:?

    15220

    kubernetes-26:kubeadm—从v1.13.3到v1.19.3

    kubeadm:v1.13.3kubeadm version? 最新是v1.19.3。执行下述命令获得命令:kubeadm upgrade plan v1.19.3?可以从上图中看出当前和最新的差异,以及操作。 执行kubeadm命令:kubeadm upgrade apply v1.19.3?可以看到,差距太大,不允许。一个个吧。 我选择version=1.14.0-0,因为我最终要到最新v1.19.1,所以无所谓1.14是哪个小号。 :到最新1.19.3。??

    74310

    扫码关注云+社区

    领取腾讯云代金券